| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::http_connect_info Struct Reference

Represents a HTTP scheme, hostname and port split into parts for easy use in https_client. More...

`#include <httpsclient.h>`

Collaboration diagram for dpp::http_connect_info:
[legend]

## Public Attributes

std::string | hostname
| The request hostname part, e.g. 'discord.com'.
bool | is_ssl {}
| True if the connection should be SSL.
uint16_t | port {}
| The port number, either determined from the scheme, or from the part of the hostname after a colon ":" character.
std::string | scheme
| The request scheme, e.g. 'https' or 'http'.

## Detailed Description

Represents a HTTP scheme, hostname and port split into parts for easy use in https_client.

## Member Data Documentation

## ◆ hostname

std::string dpp::http_connect_info::hostname

The request hostname part, e.g. 'discord.com'.

## ◆ is_ssl

bool dpp::http_connect_info::is_ssl {}

True if the connection should be SSL.

## ◆ port

uint16_t dpp::http_connect_info::port {}

The port number, either determined from the scheme, or from the part of the hostname after a colon ":" character.

## ◆ scheme

std::string dpp::http_connect_info::scheme

The request scheme, e.g. 'https' or 'http'.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0